## hannah-foo2zjs 1

=== Makefile ===
#############################################################################
# Makefile for building: hannah
# Generated by qmake (2.01a) (Qt 4.5.2) on: Mi. Aug 19 20:56:33 2009
# Project:  hannah.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile hannah.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = gui.cpp \
		main.cpp moc_gui.cpp
OBJECTS       = gui.o \
		main.o \
		moc_gui.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		hannah.pro
QMAKE_TARGET  = hannah
DESTDIR       = 
TARGET        = hannah

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: hannah.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile hannah.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile hannah.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/hannah1.0.0 || $(MKDIR) .tmp/hannah1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/hannah1.0.0/ && $(COPY_FILE) --parents gui.h .tmp/hannah1.0.0/ && $(COPY_FILE) --parents gui.cpp main.cpp .tmp/hannah1.0.0/ && (cd `dirname .tmp/hannah1.0.0` && $(TAR) hannah1.0.0.tar hannah1.0.0 && $(COMPRESS) hannah1.0.0.tar) && $(MOVE) `dirname .tmp/hannah1.0.0`/hannah1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/hannah1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gui.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gui.cpp
moc_gui.cpp: gui.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) gui.h -o moc_gui.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

gui.o: gui.cpp gui.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gui.o gui.cpp

main.o: main.cpp gui.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

moc_gui.o: moc_gui.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gui.o moc_gui.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
hannah-foo2zjs (1:1) unstable; urgency=low

  * Initial release. Separated out from foo2zjs package.
    (Closes: #449497, #503813, #503814).

 -- Michael Koch <konqueror@gmx.de>  Wed, 19 Aug 2009 21:21:46 +0200

=== debian/control ===
Source: hannah-foo2zjs
Section: contrib/text
Priority: optional
Maintainer: Michael Koch <konqueror@gmx.de>
Build-Depends: debhelper (>= 7), libqt4-dev
Standards-Version: 3.8.2

Package: hannah-foo2zjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, foo2zjs, gksu | kdebase-bin (<< 4:4.4.0-1) | kdebase-runtime | ktsuss | sux
Conflicts: foo2zjs (<= 20090301dfsg-4)
Replaces: foo2zjs (<= 20090301dfsg-4)
Description: Graphical firmware downloader for the foo2zjs package
 Hannah is a graphical firmware downloader for the foo2zjs package. You
 can select one or more firmware(s) from a list, and let hannah download
 and install them.
 .
 With this software you can potentially install non-free software, so
 beware of that.

## hannah-foo2zjs 2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: hannah
-# Generated by qmake (2.01a) (Qt 4.5.2) on: Mi. Aug 19 20:56:33 2009
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Fri Nov 29 17:25:27 2013
 # Project:  hannah.pro
 # Template: app
 # Command: /usr/bin/qmake-qt4 -unix -o Makefile hannah.pro
@@ -11,12 +11,12 @@
 CC            = gcc
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
+CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-O1
-LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
+LFLAGS        = -m64 -Wl,-O1
+LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake-qt4
@@ -26,11 +26,12 @@
 SED           = sed
 COPY_FILE     = $(COPY)
 COPY_DIR      = $(COPY) -r
+STRIP         = strip
 INSTALL_FILE  = install -m 644 -p
 INSTALL_DIR   = $(COPY_DIR)
 INSTALL_PROGRAM = install -m 755 -p
 DEL_FILE      = rm -f
-SYMLINK       = ln -sf
+SYMLINK       = ln -f -s
 DEL_DIR       = rmdir
 MOVE          = mv -f
 CHK_DIR_EXISTS= test -d
@@ -47,9 +48,12 @@
 OBJECTS       = gui.o \
 		main.o \
 		moc_gui.o
-DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
-		/usr/share/qt4/mkspecs/common/unix.conf \
+DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
+		/usr/share/qt4/mkspecs/common/gcc-base.conf \
+		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
+		/usr/share/qt4/mkspecs/common/g++-base.conf \
+		/usr/share/qt4/mkspecs/common/g++-unix.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
@@ -57,6 +61,8 @@
 		/usr/share/qt4/mkspecs/features/default_pre.prf \
 		/usr/share/qt4/mkspecs/features/release.prf \
 		/usr/share/qt4/mkspecs/features/default_post.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
+		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/unix/thread.prf \
@@ -98,9 +104,12 @@
 $(TARGET):  $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: hannah.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
-		/usr/share/qt4/mkspecs/common/unix.conf \
+Makefile: hannah.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
+		/usr/share/qt4/mkspecs/common/gcc-base.conf \
+		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
+		/usr/share/qt4/mkspecs/common/g++-base.conf \
+		/usr/share/qt4/mkspecs/common/g++-unix.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
@@ -108,6 +117,8 @@
 		/usr/share/qt4/mkspecs/features/default_pre.prf \
 		/usr/share/qt4/mkspecs/features/release.prf \
 		/usr/share/qt4/mkspecs/features/default_post.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
+		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/unix/thread.prf \
@@ -117,12 +128,15 @@
 		/usr/share/qt4/mkspecs/features/yacc.prf \
 		/usr/share/qt4/mkspecs/features/lex.prf \
 		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
-		/usr/lib/libQtGui.prl \
-		/usr/lib/libQtCore.prl
+		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
+		/usr/lib/x86_64-linux-gnu/libQtCore.prl
 	$(QMAKE) -unix -o Makefile hannah.pro
-/usr/share/qt4/mkspecs/common/g++.conf:
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
+/usr/share/qt4/mkspecs/common/gcc-base.conf:
+/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
+/usr/share/qt4/mkspecs/common/g++-base.conf:
+/usr/share/qt4/mkspecs/common/g++-unix.conf:
 /usr/share/qt4/mkspecs/qconfig.pri:
 /usr/share/qt4/mkspecs/features/qt_functions.prf:
 /usr/share/qt4/mkspecs/features/qt_config.prf:
@@ -130,6 +144,8 @@
 /usr/share/qt4/mkspecs/features/default_pre.prf:
 /usr/share/qt4/mkspecs/features/release.prf:
 /usr/share/qt4/mkspecs/features/default_post.prf:
+/usr/share/qt4/mkspecs/features/shared.prf:
+/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
 /usr/share/qt4/mkspecs/features/warn_on.prf:
 /usr/share/qt4/mkspecs/features/qt.prf:
 /usr/share/qt4/mkspecs/features/unix/thread.prf:
@@ -139,8 +155,8 @@
 /usr/share/qt4/mkspecs/features/yacc.prf:
 /usr/share/qt4/mkspecs/features/lex.prf:
 /usr/share/qt4/mkspecs/features/include_source_dir.prf:
-/usr/lib/libQtGui.prl:
-/usr/lib/libQtCore.prl:
+/usr/lib/x86_64-linux-gnu/libQtGui.prl:
+/usr/lib/x86_64-linux-gnu/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile hannah.pro
 
@@ -160,6 +176,8 @@
 	-$(DEL_FILE) $(TARGET) 
 	-$(DEL_FILE) Makefile
 
+
+check: first
 
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
 
@@ -169,7 +187,7 @@
 compiler_moc_header_clean:
 	-$(DEL_FILE) moc_gui.cpp
 moc_gui.cpp: gui.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) gui.h -o moc_gui.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) gui.h -o moc_gui.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:

=== debian/changelog ===
hannah-foo2zjs (1:2) unstable; urgency=low

  [ Didier Raboud ]
  * Orphan properly: set Maintainer to the QA group
  * Replace dependency against foo2zjs to printer-driver-foo2zjs as the
    former was transitional in latest stable

  [ Pino Toscano ]
  * Allow kde-runtime as alternative to kdebase-runtime
    (Closes: #666683)

  [ Ronny Standtke ]
  * Update desktop file (Closes: #631389)

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Nov 2013 18:10:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: hannah-foo2zjs
 Section: contrib/text
 Priority: optional
-Maintainer: Michael Koch <konqueror@gmx.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7), libqt4-dev
 Standards-Version: 3.8.2
 
 Package: hannah-foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, foo2zjs, gksu | kdebase-bin (<< 4:4.4.0-1) | kdebase-runtime | ktsuss | sux
+Depends: ${shlibs:Depends}, ${misc:Depends}, printer-driver-foo2zjs, gksu | kdebase-bin (<< 4:4.4.0-1) | kde-runtime | kdebase-runtime | ktsuss | sux
 Conflicts: foo2zjs (<= 20090301dfsg-4)
 Replaces: foo2zjs (<= 20090301dfsg-4)
 Description: Graphical firmware downloader for the foo2zjs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


configure: configure-stamp
configure-stamp:
	dh_testdir
	
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	
	$(MAKE)
	
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	# Add here commands to clean up after the build process.
	$(MAKE) clean
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	
	install -m 755 hannah $(CURDIR)/debian/hannah-foo2zjs/usr/bin/hannah-foo2zjs
	install -m 644 hannah.desktop $(CURDIR)/debian/hannah-foo2zjs/usr/share/applications/hannah-foo2zjs.desktop

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hannah-foo2zjs 4

=== debian/changelog ===
hannah-foo2zjs (1:4) unstable; urgency=medium

  * Adopt under the Debian Printing Team umbrella

  * Some more cleanup:
    - Cleanup breaks/replaces against very old foo2zjs
    - Add Vcs-* fields for the repository on Salsa
    - Bump debhelper compat to 11
    - Add debian/gbp.conf

 -- Didier Raboud <odyx@debian.org>  Mon, 26 Feb 2018 20:31:54 +0100

hannah-foo2zjs (1:3) unstable; urgency=medium

  * QA upload.
  * Switch source format to "3.0 (native)".
  * Do not ship the generated hannah binary, and the Makefile, and make sure
    to remove them on clean.
  * Drop the menu file, since hannah-foo2zjs already provides a .desktop file.
  * Use an install file to install all the files, using dh-exec to rename the
    files:
    - add a new executable hannah-foo2zjs.install file
    - add the dh-exec build dependency
  * Rewrite rule to use the dh sequencer.
  * Bump the debhelper compatibility to 10:
    - bump compat to 10
    - bump the debhelper build dependency to 10~
  * Switch versioned conflict to versioned break.
  * Cleanup hannah.pro.
  * Build the application with Qt 5: (Closes: #874903)
    - set the QT modules in the .pro file
    - switch the libqt4-dev build dependency to qtbase5-dev
    - set QT_SELECT=5 in rules, to make sure to build even when Qt 4 is
      installed too
  * Various improvements to the application itself:
    - reindent code
    - forward-declare classes, including only what needed, and where needed
    - do not hardcode the font, use the default one
    - use better QMessageBox APIs
    - create & lay out widgets in the right order
    - add a checkbox -> firmware mapping, so there is not a separate list for
      the latter
    - turn the "Mark all" from a checkbox into a button, and add also a new
      "Unmark all" button
    - switch from QStatusBar to QLabel for the status messages
    - disable the download button while downloading
    - set the "printer" icon for the application
    - harden the build with extra defines, and fix the code accordingly
      (slot -> Q_SLOTS, QStringLiteral, etc)
    - group checkboxes & mark/unmark buttons in a group box, with the
      checkboxes laid in two columns
    - improve the text in the about dialog
    - add accelerators for buttons
  * Fix path of getweb to /usr/sbin/getweb. (Closes: #772447)
  * Use pkexec to run getweb, instead of su-to-root for the whole application:
    (LP: #1713311)
    - depend on policykit-1
    - drop the gksu|kdebase-bin|kde-runtime|kdebase-runtime|ktsuss|sux
      dependency (Closes: #885545)
    - directly exec hannah-foo2zjs in the desktop file
  * Make hannah.desktop file valid:
    - set the value of the 'Terminal' key to false (as it is a boolean)
    - add the Qt category, and remove the Settings one
  * Link in as-needed mode.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Add myself to copyright, for both code and packaging.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Dec 2017 11:03:05 +0100

=== debian/control ===
Source: hannah-foo2zjs
Section: contrib/text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Build-Depends: debhelper (>= 11~),
 qtbase5-dev,
 dh-exec,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/printing-team/hannah-foo2zjs
Vcs-Git: https://salsa.debian.org/printing-team/hannah-foo2zjs.git

Package: hannah-foo2zjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, printer-driver-foo2zjs,
 policykit-1,
Description: Graphical firmware downloader for the foo2zjs package
 Hannah is a graphical firmware downloader for the foo2zjs package. You
 can select one or more firmware(s) from a list, and let hannah download
 and install them.
 .
 With this software you can potentially install non-free software, so
 beware of that.

## hannah-foo2zjs 4build1

=== debian/changelog ===
hannah-foo2zjs (1:4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:30 +0100

## hannah-foo2zjs 5

=== debian/changelog ===
hannah-foo2zjs (1:5) unstable; urgency=medium

  * debian/control: add myself to Uploaders: (Closes: #653980)
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: add Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Jan 2023 13:03:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: contrib/text
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Build-Depends: debhelper (>= 11~),
- qtbase5-dev,
- dh-exec,
-Standards-Version: 4.1.3
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: debhelper-compat (= 13)
+	, qtbase5-dev
+	, dh-exec
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/printing-team/hannah-foo2zjs
 Vcs-Git: https://salsa.debian.org/printing-team/hannah-foo2zjs.git
+Rules-Requires-Root: no
 
 Package: hannah-foo2zjs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export QT_SELECT=5

%:
	dh $@ --buildsystem qmake

## hannah-foo2zjs 6

=== debian/changelog ===
hannah-foo2zjs (1:6) unstable; urgency=medium

  * debian/control: replace dependency on policykit-1 by pkexec
                    (Closes: #1025572)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 31 Oct 2023 23:03:02 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: hannah-foo2zjs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, printer-driver-foo2zjs,
- policykit-1,
+ pkexec
 Description: Graphical firmware downloader for the foo2zjs package
  Hannah is a graphical firmware downloader for the foo2zjs package. You
  can select one or more firmware(s) from a list, and let hannah download

## hannah-foo2zjs 6build2

=== debian/changelog ===
hannah-foo2zjs (1:6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:00 +1100

hannah-foo2zjs (1:6build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:33:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hannah-foo2zjs
 Section: contrib/text
 Priority: optional
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, qtbase5-dev

## hannah-foo2zjs 6build3

=== debian/changelog ===
hannah-foo2zjs (1:6build3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 23:11:54 +0100
